Subject: Re: Your message (no subject found) #011227@15:02:32.1096

From: Bruce Cohen <[email-masked]>
Date: Sun, 15 Sep 2002 07:37:02 +0200 (MET DST)

Hi Mark,

negative.

These things happen while only pine is running (at least as far as I am
concerned - I have no idea if the ISP has anything else running
simultaneously.).

Fire the ISP - have wanted to many times, but keep having to remind
myself that if I want a unix shell and pine, lynx, etc. that I damn well
better stick with them, because they are virtually the only ones left
that will give me that possibility at all.

Pine communicating with the server every three minutes or so...like even
if I don't tell it to, and am doing other things like writing
messages??? Is there something I should look for in the pine
configuration to make sure that pine contacts the pop3 or imap4 often
enough to make sure that the disconnect doesn't happen?

I had a connection yesterday that did seem to renew itself after I got a
Mailbox locked due to access error message: I think I was configured at
the time for pop3.tiscali.nl/imap, which at that time would have been
195.241.77.228 or 229. After the access error message appeared I was for
the first time able to go back to the INBOX and access msgs (as I recall
with an opening INBOX msg but without having to login/password, etc.).

Is there any way to force a mailbox lock to disappear immediately? I
basically have to be patient and just wait until it decides to release,
which can be very irritating if one has important msgs waiting that need
immediate action.

Bruce

 On Sat, 14 Sep 2002, Mark Crispin wrote:

> I took a look at those servers.
>
> It appears that the IMAP server is based upon an old version of UW imapd, but
> has been substantially hacked.  I don't know what was hacked in it.  I could
> not determine anything about the POP3 server.
>
> If you use the /pop3 switch in the mailbox specifier in Pine, Pine directly
> connects to the POP3 server.  "popper" is the name of a program which
> implements a POP3 server; it does not mean "POP3 server".  Not all POP3
> servers are popper.  So, unless you know that the POP3 server is based on
> popper, it is better not to use the term "popper" since that just confuses
> matters.
>
> Yes, an "inactivity autologout timer" refers to the session being disconnected
> after some period of inactivity.  The minimum timer is 10 minutes in POP3, and
> 30 minutes in IMAP.  Any ISP which hacks the timers to be less than that is in
> violation of the standards.  If the ISP refuses to comply with standards, you
> should fire them and get one that will comply.  However, before you accuse an
> ISP of something as serious as standards non-compliance, it is necessary to
> make sure that is really the problem.
>
> Pine typically communicates with a POP3 or IMAP server no less often than
> every 3 minutes.  So inactivity autologout timers should not be an issue with
> Pine.  However, I have heard of an ISP (now out of business) which set the
> timer to 1 minute specifically to block Pine.  Such idiocy defies
> comprehension, but that's one of the reasons why that ISP is out of business.
>
> No, Pine does not "renew" the connection.  Nor is "renewing" the connection a
> meaningful concept in IMAP.  IMAP sessions have state; tear down the IMAP
> connection and the state is lost.  A new IMAP connection has entirely new
> state, and any previous state is invalidated.
>
> There is one other possibility which you should investigate.  Is there any
> possibility that you might be inadvertantly opening more than one POP3 or IMAP
> session to the mailbox simultaneously?  A background "check for new mail"
> program may do this, or possibly running another mail reading program while
> you are running Pine?  If so, that may explain the disconnects but it would
> not explain the Pine crashes.
>
>